8189ae9bab12d663af2e2483a9127da71360a1b4
[framework/connectivity/libgphoto2.git] / tests / Makefile.in
1 # Makefile.in generated by automake 1.11.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
6 # Inc.
7 # This Makefile.in is free software; the Free Software Foundation
8 # gives unlimited permission to copy and/or distribute it,
9 # with or without modifications, as long as this notice is preserved.
10
11 # This program is distributed in the hope that it will be useful,
12 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
14 # PARTICULAR PURPOSE.
15
16 @SET_MAKE@
17
18 VPATH = @srcdir@
19 pkgdatadir = $(datadir)/@PACKAGE@
20 pkgincludedir = $(includedir)/@PACKAGE@
21 pkglibdir = $(libdir)/@PACKAGE@
22 pkglibexecdir = $(libexecdir)/@PACKAGE@
23 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
24 install_sh_DATA = $(install_sh) -c -m 644
25 install_sh_PROGRAM = $(install_sh) -c
26 install_sh_SCRIPT = $(install_sh) -c
27 INSTALL_HEADER = $(INSTALL_DATA)
28 transform = $(program_transform_name)
29 NORMAL_INSTALL = :
30 PRE_INSTALL = :
31 POST_INSTALL = :
32 NORMAL_UNINSTALL = :
33 PRE_UNINSTALL = :
34 POST_UNINSTALL = :
35 build_triplet = @build@
36 host_triplet = @host@
37 check_PROGRAMS = test-camera-list$(EXEEXT) test-pedantic-c$(EXEEXT) \
38         $(am__EXEEXT_1)
39 @HAVE_CXX_TRUE@am__append_1 = test-pedantic-cxx
40 TESTS = test-pedantic-c$(EXEEXT) test-pedantic-cxx$(EXEEXT)
41 noinst_PROGRAMS = test-gphoto2$(EXEEXT) test-filesys$(EXEEXT)
42 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
43         $(srcdir)/check-camera-list.sh.in \
44         $(top_srcdir)/installcheck.mk
45 subdir = tests
46 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
47 am__aclocal_m4_deps = $(top_srcdir)/m4m/gp-byteorder.m4 \
48         $(top_srcdir)/m4m/gp-camlibs.m4 \
49         $(top_srcdir)/m4m/gp-check-doxygen.m4 \
50         $(top_srcdir)/m4m/gp-check-library.m4 \
51         $(top_srcdir)/m4m/gp-check-shell-environment.m4 \
52         $(top_srcdir)/m4m/gp-config-msg.m4 \
53         $(top_srcdir)/m4m/gp-documentation.m4 \
54         $(top_srcdir)/m4m/gp-gettext-hack.m4 \
55         $(top_srcdir)/m4m/gp-packaging.m4 \
56         $(top_srcdir)/m4m/gp-pkg-config.m4 \
57         $(top_srcdir)/m4m/gp-references.m4 \
58         $(top_srcdir)/m4m/gp-stdint.m4 $(top_srcdir)/m4m/gp-udev.m4 \
59         $(top_srcdir)/auto-m4/gettext.m4 \
60         $(top_srcdir)/auto-m4/iconv.m4 $(top_srcdir)/auto-m4/lib-ld.m4 \
61         $(top_srcdir)/auto-m4/lib-link.m4 \
62         $(top_srcdir)/auto-m4/lib-prefix.m4 \
63         $(top_srcdir)/auto-m4/libtool.m4 \
64         $(top_srcdir)/auto-m4/ltoptions.m4 \
65         $(top_srcdir)/auto-m4/ltsugar.m4 \
66         $(top_srcdir)/auto-m4/ltversion.m4 \
67         $(top_srcdir)/auto-m4/lt~obsolete.m4 \
68         $(top_srcdir)/auto-m4/nls.m4 $(top_srcdir)/auto-m4/po.m4 \
69         $(top_srcdir)/auto-m4/progtest.m4 $(top_srcdir)/configure.ac
70 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
71         $(ACLOCAL_M4)
72 mkinstalldirs = $(SHELL) $(top_srcdir)/auto-aux/mkinstalldirs
73 CONFIG_HEADER = $(top_builddir)/config.h
74 CONFIG_CLEAN_FILES = check-camera-list.sh
75 CONFIG_CLEAN_VPATH_FILES =
76 @HAVE_CXX_TRUE@am__EXEEXT_1 = test-pedantic-cxx$(EXEEXT)
77 PROGRAMS = $(noinst_PROGRAMS)
78 test_camera_list_SOURCES = test-camera-list.c
79 test_camera_list_OBJECTS = test-camera-list.$(OBJEXT)
80 am__DEPENDENCIES_1 =
81 test_camera_list_DEPENDENCIES =  \
82         $(top_builddir)/libgphoto2/libgphoto2.la \
83         $(top_builddir)/libgphoto2_port/libgphoto2_port/libgphoto2_port.la \
84         $(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1)
85 test_filesys_SOURCES = test-filesys.c
86 test_filesys_OBJECTS = test-filesys.$(OBJEXT)
87 test_filesys_DEPENDENCIES = $(top_builddir)/libgphoto2/libgphoto2.la \
88         $(top_builddir)/libgphoto2_port/libgphoto2_port/libgphoto2_port.la \
89         $(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1)
90 test_gphoto2_SOURCES = test-gphoto2.c
91 test_gphoto2_OBJECTS = test-gphoto2.$(OBJEXT)
92 test_gphoto2_DEPENDENCIES = $(top_builddir)/libgphoto2/libgphoto2.la \
93         $(top_builddir)/libgphoto2_port/libgphoto2_port/libgphoto2_port.la \
94         $(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1)
95 am_test_pedantic_c_OBJECTS =  \
96         test_pedantic_c-test-pedantic-compilation.$(OBJEXT)
97 test_pedantic_c_OBJECTS = $(am_test_pedantic_c_OBJECTS)
98 test_pedantic_c_DEPENDENCIES =  \
99         $(top_builddir)/libgphoto2/libgphoto2.la \
100         $(top_builddir)/libgphoto2_port/libgphoto2_port/libgphoto2_port.la \
101         $(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1)
102 test_pedantic_c_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) \
103         $(LIBTOOLFLAGS) --mode=link $(CCLD) $(test_pedantic_c_CFLAGS) \
104         $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
105 am_test_pedantic_cxx_OBJECTS =  \
106         test_pedantic_cxx-test-pedantic-compilation.$(OBJEXT)
107 test_pedantic_cxx_OBJECTS = $(am_test_pedantic_cxx_OBJECTS)
108 test_pedantic_cxx_DEPENDENCIES =  \
109         $(top_builddir)/libgphoto2/libgphoto2.la \
110         $(top_builddir)/libgphoto2_port/libgphoto2_port/libgphoto2_port.la \
111         $(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1)
112 test_pedantic_cxx_LINK = $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) \
113         $(LIBTOOLFLAGS) --mode=link $(CXXLD) \
114         $(test_pedantic_cxx_CXXFLAGS) $(CXXFLAGS) $(AM_LDFLAGS) \
115         $(LDFLAGS) -o $@
116 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)
117 depcomp = $(SHELL) $(top_srcdir)/auto-aux/depcomp
118 am__depfiles_maybe = depfiles
119 am__mv = mv -f
120 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
121         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
122 LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
123         --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
124         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
125 CCLD = $(CC)
126 LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
127         --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
128         $(LDFLAGS) -o $@
129 CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
130         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
131 LTCXXCOMPILE = $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
132         --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
133         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
134 CXXLD = $(CXX)
135 CXXLINK = $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
136         --mode=link $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(AM_LDFLAGS) \
137         $(LDFLAGS) -o $@
138 SOURCES = test-camera-list.c test-filesys.c test-gphoto2.c \
139         $(test_pedantic_c_SOURCES) $(test_pedantic_cxx_SOURCES)
140 DIST_SOURCES = test-camera-list.c test-filesys.c test-gphoto2.c \
141         $(test_pedantic_c_SOURCES) $(test_pedantic_cxx_SOURCES)
142 RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
143         html-recursive info-recursive install-data-recursive \
144         install-dvi-recursive install-exec-recursive \
145         install-html-recursive install-info-recursive \
146         install-pdf-recursive install-ps-recursive install-recursive \
147         installcheck-recursive installdirs-recursive pdf-recursive \
148         ps-recursive uninstall-recursive
149 RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
150   distclean-recursive maintainer-clean-recursive
151 AM_RECURSIVE_TARGETS = $(RECURSIVE_TARGETS:-recursive=) \
152         $(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS \
153         distdir
154 ETAGS = etags
155 CTAGS = ctags
156 am__tty_colors = \
157 red=; grn=; lgn=; blu=; std=
158 DIST_SUBDIRS = $(SUBDIRS)
159 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
160 am__relativize = \
161   dir0=`pwd`; \
162   sed_first='s,^\([^/]*\)/.*$$,\1,'; \
163   sed_rest='s,^[^/]*/*,,'; \
164   sed_last='s,^.*/\([^/]*\)$$,\1,'; \
165   sed_butlast='s,/*[^/]*$$,,'; \
166   while test -n "$$dir1"; do \
167     first=`echo "$$dir1" | sed -e "$$sed_first"`; \
168     if test "$$first" != "."; then \
169       if test "$$first" = ".."; then \
170         dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
171         dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
172       else \
173         first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
174         if test "$$first2" = "$$first"; then \
175           dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
176         else \
177           dir2="../$$dir2"; \
178         fi; \
179         dir0="$$dir0"/"$$first"; \
180       fi; \
181     fi; \
182     dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
183   done; \
184   reldir="$$dir2"
185 ACLOCAL = @ACLOCAL@
186 ALL_CURRENT_CAMLIBS = @ALL_CURRENT_CAMLIBS@
187 ALL_DEFINED_CAMLIBS = @ALL_DEFINED_CAMLIBS@
188 AMTAR = @AMTAR@
189 AM_CFLAGS = @AM_CFLAGS@
190 AM_CPPFLAGS = @AM_CPPFLAGS@
191 AM_CXXFLAGS = @AM_CXXFLAGS@
192 AM_LDFLAGS = @AM_LDFLAGS@
193 AR = @AR@
194 AS = @AS@
195 AUTOCONF = @AUTOCONF@
196 AUTOHEADER = @AUTOHEADER@
197 AUTOMAKE = @AUTOMAKE@
198 AWK = @AWK@
199 BISON = @BISON@
200 BUILD_THESE_CAMLIBS = @BUILD_THESE_CAMLIBS@
201 CAMLIB_LDFLAGS = @CAMLIB_LDFLAGS@
202 CAMLIB_LIBS = @CAMLIB_LIBS@
203 CC = @CC@
204 CCDEPMODE = @CCDEPMODE@
205 CFLAGS = @CFLAGS@
206 CPP = @CPP@
207 CPPFLAGS = @CPPFLAGS@
208 CXX = @CXX@
209 CXXCPP = @CXXCPP@
210 CXXDEPMODE = @CXXDEPMODE@
211 CXXFLAGS = @CXXFLAGS@
212 CYGPATH_W = @CYGPATH_W@
213 DEFS = @DEFS@
214 DEPDIR = @DEPDIR@
215 DLLTOOL = @DLLTOOL@
216 DOT = @DOT@
217 DOXYGEN = @DOXYGEN@
218 DOXYGEN_OUTPUT_DIR = @DOXYGEN_OUTPUT_DIR@
219 DSYMUTIL = @DSYMUTIL@
220 DUMPBIN = @DUMPBIN@
221 ECHO_C = @ECHO_C@
222 ECHO_N = @ECHO_N@
223 ECHO_T = @ECHO_T@
224 EGREP = @EGREP@
225 EXEEXT = @EXEEXT@
226 FGREP = @FGREP@
227 FLEX = @FLEX@
228 GETTEXT_PACKAGE = @GETTEXT_PACKAGE@
229 GMSGFMT = @GMSGFMT@
230 GREP = @GREP@
231 GTKDOC = @GTKDOC@
232 HAVE_DOT = @HAVE_DOT@
233 HTML_APIDOC_DIR = @HTML_APIDOC_DIR@
234 HTML_APIDOC_INTERNALS_DIR = @HTML_APIDOC_INTERNALS_DIR@
235 INSTALL = @INSTALL@
236 INSTALL_DATA = @INSTALL_DATA@
237 INSTALL_PROGRAM = @INSTALL_PROGRAM@
238 INSTALL_SCRIPT = @INSTALL_SCRIPT@
239 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
240 INTLLIBS = @INTLLIBS@
241 LD = @LD@
242 LDFLAGS = @LDFLAGS@
243 LIBEXIF_CFLAGS = @LIBEXIF_CFLAGS@
244 LIBEXIF_CONFIG_PROG = @LIBEXIF_CONFIG_PROG@
245 LIBEXIF_LIBS = @LIBEXIF_LIBS@
246 LIBGD = @LIBGD@
247 LIBGPHOTO2_AGE = @LIBGPHOTO2_AGE@
248 LIBGPHOTO2_CURRENT = @LIBGPHOTO2_CURRENT@
249 LIBGPHOTO2_CURRENT_MIN = @LIBGPHOTO2_CURRENT_MIN@
250 LIBGPHOTO2_REVISION = @LIBGPHOTO2_REVISION@
251 LIBGPHOTO2_VERSION_INFO = @LIBGPHOTO2_VERSION_INFO@
252 LIBICONV = @LIBICONV@
253 LIBINTL = @LIBINTL@
254 LIBJPEG = @LIBJPEG@
255 LIBOBJS = @LIBOBJS@
256 LIBS = @LIBS@
257 LIBTOOL = @LIBTOOL@
258 LIBUSB_CONFIG = @LIBUSB_CONFIG@
259 LIPO = @LIPO@
260 LN_S = @LN_S@
261 LTLIBICONV = @LTLIBICONV@
262 LTLIBINTL = @LTLIBINTL@
263 LTLIBOBJS = @LTLIBOBJS@
264 MAIL_GPHOTO_DEVEL = @MAIL_GPHOTO_DEVEL@
265 MAIL_GPHOTO_TRANSLATION = @MAIL_GPHOTO_TRANSLATION@
266 MAIL_GPHOTO_USER = @MAIL_GPHOTO_USER@
267 MAKEINFO = @MAKEINFO@
268 MKDIR_P = @MKDIR_P@
269 MKINSTALLDIRS = @MKINSTALLDIRS@
270 MSGFMT = @MSGFMT@
271 MSGMERGE = @MSGMERGE@
272 NM = @NM@
273 NMEDIT = @NMEDIT@
274 NO_UNUSED_CFLAGS = @NO_UNUSED_CFLAGS@
275 OBJDUMP = @OBJDUMP@
276 OBJEXT = @OBJEXT@
277 OTOOL = @OTOOL@
278 OTOOL64 = @OTOOL64@
279 PACKAGE = @PACKAGE@
280 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
281 PACKAGE_NAME = @PACKAGE_NAME@
282 PACKAGE_STRING = @PACKAGE_STRING@
283 PACKAGE_TARNAME = @PACKAGE_TARNAME@
284 PACKAGE_URL = @PACKAGE_URL@
285 PACKAGE_VERSION = @PACKAGE_VERSION@
286 PATH_SEPARATOR = @PATH_SEPARATOR@
287 PKG_CONFIG = @PKG_CONFIG@
288 PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
289 PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
290 POSUB = @POSUB@
291 RANLIB = @RANLIB@
292 REQUIREMENTS_FOR_LIBEXIF = @REQUIREMENTS_FOR_LIBEXIF@
293 RPMBUILD = @RPMBUILD@
294 SED = @SED@
295 SET_MAKE = @SET_MAKE@
296 SHELL = @SHELL@
297 STRIP = @STRIP@
298 URL_DIGICAM_LIST = @URL_DIGICAM_LIST@
299 URL_GPHOTO_HOME = @URL_GPHOTO_HOME@
300 URL_GPHOTO_PROJECT = @URL_GPHOTO_PROJECT@
301 URL_JPHOTO_HOME = @URL_JPHOTO_HOME@
302 URL_USB_MASSSTORAGE = @URL_USB_MASSSTORAGE@
303 USE_NLS = @USE_NLS@
304 VERSION = @VERSION@
305 XGETTEXT = @XGETTEXT@
306 abs_builddir = @abs_builddir@
307 abs_srcdir = @abs_srcdir@
308 abs_top_builddir = @abs_top_builddir@
309 abs_top_srcdir = @abs_top_srcdir@
310 ac_ct_CC = @ac_ct_CC@
311 ac_ct_CXX = @ac_ct_CXX@
312 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
313 am__include = @am__include@
314 am__leading_dot = @am__leading_dot@
315 am__quote = @am__quote@
316 am__tar = @am__tar@
317 am__untar = @am__untar@
318 apidocdir = @apidocdir@
319 bindir = @bindir@
320 build = @build@
321 build_alias = @build_alias@
322 build_cpu = @build_cpu@
323 build_os = @build_os@
324 build_vendor = @build_vendor@
325 builddir = @builddir@
326 camlibdir = @camlibdir@
327 camlibdocdir = @camlibdocdir@
328 datadir = @datadir@
329 datarootdir = @datarootdir@
330 docdir = @docdir@
331 dvidir = @dvidir@
332 effective_target = @effective_target@
333 exec_prefix = @exec_prefix@
334 host = @host@
335 host_alias = @host_alias@
336 host_cpu = @host_cpu@
337 host_os = @host_os@
338 host_vendor = @host_vendor@
339 hotplugdocdir = @hotplugdocdir@
340 hotplugusermapdir = @hotplugusermapdir@
341 htmldir = @htmldir@
342 includedir = @includedir@
343 infodir = @infodir@
344 install_sh = @install_sh@
345 libdir = @libdir@
346 libexecdir = @libexecdir@
347 localedir = @localedir@
348 localstatedir = @localstatedir@
349 lt_ECHO = @lt_ECHO@
350 mandir = @mandir@
351 mkdir_p = @mkdir_p@
352 oldincludedir = @oldincludedir@
353 pdfdir = @pdfdir@
354 pkgconfigdir = @pkgconfigdir@
355 prefix = @prefix@
356 program_transform_name = @program_transform_name@
357 psdir = @psdir@
358 sbindir = @sbindir@
359 sharedstatedir = @sharedstatedir@
360 srcdir = @srcdir@
361 subdirs = @subdirs@
362 sysconfdir = @sysconfdir@
363 target_alias = @target_alias@
364 top_build_prefix = @top_build_prefix@
365 top_builddir = @top_builddir@
366 top_srcdir = @top_srcdir@
367 udevscriptdir = @udevscriptdir@
368 utilsdir = @utilsdir@
369 SUBDIRS = ddb
370 check_SCRIPTS = \
371         check-camera-list.sh
372
373 EXTRA_DIST = \
374         check-camera-list.sh.in
375
376
377 # These tests must run after installation because they need the
378 # camlibs installed.
379 INSTALL_TESTS = check-camera-list.sh
380 CLEANFILES = $(check_SCRIPTS)
381 test_gphoto2_SOURCE = test-gphoto2.c
382 test_gphoto2_LDADD = \
383         $(top_builddir)/libgphoto2/libgphoto2.la \
384         $(top_builddir)/libgphoto2_port/libgphoto2_port/libgphoto2_port.la \
385         $(LIBEXIF_LIBS) \
386         $(INTLLIBS)
387
388 test_filesys_SOURCE = test-filesys.c
389 test_filesys_LDADD = \
390         $(top_builddir)/libgphoto2/libgphoto2.la \
391         $(top_builddir)/libgphoto2_port/libgphoto2_port/libgphoto2_port.la \
392         $(LIBEXIF_LIBS) \
393         $(INTLLIBS)
394
395 test_camera_list_SOURCE = test-camera-list.c
396 test_camera_list_LDADD = \
397         $(top_builddir)/libgphoto2/libgphoto2.la \
398         $(top_builddir)/libgphoto2_port/libgphoto2_port/libgphoto2_port.la \
399         $(LIBEXIF_LIBS) \
400         $(INTLLIBS)
401
402 @HAVE_GCC_FALSE@PEDANTIC_CFLAGS = 
403 @HAVE_GCC_TRUE@PEDANTIC_CFLAGS = -std=c99 -pedantic-errors -W -Wall -Wextra -Werror
404 @HAVE_GCC_FALSE@PEDANTIC_CXXFLAGS = 
405 @HAVE_GCC_TRUE@PEDANTIC_CXXFLAGS = -std=c++98 -pedantic-errors -W -Wall -Wextra -Werror
406 test_pedantic_c_SOURCES = test-pedantic-compilation.c
407 test_pedantic_c_CPPFLAGS = \
408         $(AM_CPPFLAGS) $(CPPFLAGS) \
409         -U_GPHOTO2_INTERNAL_CODE
410
411 test_pedantic_c_CFLAGS = \
412         $(PEDANTIC_CFLAGS) $(AM_CFLAGS) $(CFLAGS) \
413         -U_GPHOTO2_INTERNAL_CODE
414
415 test_pedantic_c_LDADD = \
416         $(top_builddir)/libgphoto2/libgphoto2.la \
417         $(top_builddir)/libgphoto2_port/libgphoto2_port/libgphoto2_port.la \
418         $(LIBEXIF_LIBS) \
419         $(INTLLIBS)
420
421 test_pedantic_cxx_SOURCES = test-pedantic-compilation.cxx
422 test_pedantic_cxx_CPPFLAGS = \
423         $(AM_CPPFLAGS) $(CPPFLAGS) \
424         -U_GPHOTO2_INTERNAL_CODE
425
426 test_pedantic_cxx_CXXFLAGS = \
427         $(PEDANTIC_CXXFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) \
428         -U_GPHOTO2_INTERNAL_CODE
429
430 test_pedantic_cxx_LDADD = \
431         $(top_builddir)/libgphoto2/libgphoto2.la \
432         $(top_builddir)/libgphoto2_port/libgphoto2_port/libgphoto2_port.la \
433         $(LIBEXIF_LIBS) \
434         $(INTLLIBS)
435
436 all: all-recursive
437
438 .SUFFIXES:
439 .SUFFIXES: .c .cxx .lo .o .obj
440 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am $(top_srcdir)/installcheck.mk $(am__configure_deps)
441         @for dep in $?; do \
442           case '$(am__configure_deps)' in \
443             *$$dep*) \
444               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
445                 && { if test -f $@; then exit 0; else break; fi; }; \
446               exit 1;; \
447           esac; \
448         done; \
449         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu tests/Makefile'; \
450         $(am__cd) $(top_srcdir) && \
451           $(AUTOMAKE) --gnu tests/Makefile
452 .PRECIOUS: Makefile
453 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
454         @case '$?' in \
455           *config.status*) \
456             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
457           *) \
458             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
459             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
460         esac;
461
462 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
463         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
464
465 $(top_srcdir)/configure:  $(am__configure_deps)
466         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
467 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
468         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
469 $(am__aclocal_m4_deps):
470 check-camera-list.sh: $(top_builddir)/config.status $(srcdir)/check-camera-list.sh.in
471         cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
472
473 clean-checkPROGRAMS:
474         @list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
475         echo " rm -f" $$list; \
476         rm -f $$list || exit $$?; \
477         test -n "$(EXEEXT)" || exit 0; \
478         list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
479         echo " rm -f" $$list; \
480         rm -f $$list
481
482 clean-noinstPROGRAMS:
483         @list='$(noinst_PROGRAMS)'; test -n "$$list" || exit 0; \
484         echo " rm -f" $$list; \
485         rm -f $$list || exit $$?; \
486         test -n "$(EXEEXT)" || exit 0; \
487         list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
488         echo " rm -f" $$list; \
489         rm -f $$list
490 test-camera-list$(EXEEXT): $(test_camera_list_OBJECTS) $(test_camera_list_DEPENDENCIES) 
491         @rm -f test-camera-list$(EXEEXT)
492         $(LINK) $(test_camera_list_OBJECTS) $(test_camera_list_LDADD) $(LIBS)
493 test-filesys$(EXEEXT): $(test_filesys_OBJECTS) $(test_filesys_DEPENDENCIES) 
494         @rm -f test-filesys$(EXEEXT)
495         $(LINK) $(test_filesys_OBJECTS) $(test_filesys_LDADD) $(LIBS)
496 test-gphoto2$(EXEEXT): $(test_gphoto2_OBJECTS) $(test_gphoto2_DEPENDENCIES) 
497         @rm -f test-gphoto2$(EXEEXT)
498         $(LINK) $(test_gphoto2_OBJECTS) $(test_gphoto2_LDADD) $(LIBS)
499 test-pedantic-c$(EXEEXT): $(test_pedantic_c_OBJECTS) $(test_pedantic_c_DEPENDENCIES) 
500         @rm -f test-pedantic-c$(EXEEXT)
501         $(test_pedantic_c_LINK) $(test_pedantic_c_OBJECTS) $(test_pedantic_c_LDADD) $(LIBS)
502 test-pedantic-cxx$(EXEEXT): $(test_pedantic_cxx_OBJECTS) $(test_pedantic_cxx_DEPENDENCIES) 
503         @rm -f test-pedantic-cxx$(EXEEXT)
504         $(test_pedantic_cxx_LINK) $(test_pedantic_cxx_OBJECTS) $(test_pedantic_cxx_LDADD) $(LIBS)
505
506 mostlyclean-compile:
507         -rm -f *.$(OBJEXT)
508
509 distclean-compile:
510         -rm -f *.tab.c
511
512 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test-camera-list.Po@am__quote@
513 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test-filesys.Po@am__quote@
514 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test-gphoto2.Po@am__quote@
515 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_pedantic_c-test-pedantic-compilation.Po@am__quote@
516 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_pedantic_cxx-test-pedantic-compilation.Po@am__quote@
517
518 .c.o:
519 @am__fastdepCC_TRUE@    depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
520 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
521 @am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Po
522 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
523 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
524 @am__fastdepCC_FALSE@   $(COMPILE) -c -o $@ $<
525
526 .c.obj:
527 @am__fastdepCC_TRUE@    depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
528 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
529 @am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Po
530 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
531 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
532 @am__fastdepCC_FALSE@   $(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
533
534 .c.lo:
535 @am__fastdepCC_TRUE@    depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
536 @am__fastdepCC_TRUE@    $(LTCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
537 @am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Plo
538 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
539 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
540 @am__fastdepCC_FALSE@   $(LTCOMPILE) -c -o $@ $<
541
542 test_pedantic_c-test-pedantic-compilation.o: test-pedantic-compilation.c
543 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_pedantic_c_CPPFLAGS) $(CPPFLAGS) $(test_pedantic_c_CFLAGS) $(CFLAGS) -MT test_pedantic_c-test-pedantic-compilation.o -MD -MP -MF $(DEPDIR)/test_pedantic_c-test-pedantic-compilation.Tpo -c -o test_pedantic_c-test-pedantic-compilation.o `test -f 'test-pedantic-compilation.c' || echo '$(srcdir)/'`test-pedantic-compilation.c
544 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/test_pedantic_c-test-pedantic-compilation.Tpo $(DEPDIR)/test_pedantic_c-test-pedantic-compilation.Po
545 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='test-pedantic-compilation.c' object='test_pedantic_c-test-pedantic-compilation.o' libtool=no @AMDEPBACKSLASH@
546 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
547 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_pedantic_c_CPPFLAGS) $(CPPFLAGS) $(test_pedantic_c_CFLAGS) $(CFLAGS) -c -o test_pedantic_c-test-pedantic-compilation.o `test -f 'test-pedantic-compilation.c' || echo '$(srcdir)/'`test-pedantic-compilation.c
548
549 test_pedantic_c-test-pedantic-compilation.obj: test-pedantic-compilation.c
550 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_pedantic_c_CPPFLAGS) $(CPPFLAGS) $(test_pedantic_c_CFLAGS) $(CFLAGS) -MT test_pedantic_c-test-pedantic-compilation.obj -MD -MP -MF $(DEPDIR)/test_pedantic_c-test-pedantic-compilation.Tpo -c -o test_pedantic_c-test-pedantic-compilation.obj `if test -f 'test-pedantic-compilation.c'; then $(CYGPATH_W) 'test-pedantic-compilation.c'; else $(CYGPATH_W) '$(srcdir)/test-pedantic-compilation.c'; fi`
551 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/test_pedantic_c-test-pedantic-compilation.Tpo $(DEPDIR)/test_pedantic_c-test-pedantic-compilation.Po
552 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='test-pedantic-compilation.c' object='test_pedantic_c-test-pedantic-compilation.obj' libtool=no @AMDEPBACKSLASH@
553 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
554 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_pedantic_c_CPPFLAGS) $(CPPFLAGS) $(test_pedantic_c_CFLAGS) $(CFLAGS) -c -o test_pedantic_c-test-pedantic-compilation.obj `if test -f 'test-pedantic-compilation.c'; then $(CYGPATH_W) 'test-pedantic-compilation.c'; else $(CYGPATH_W) '$(srcdir)/test-pedantic-compilation.c'; fi`
555
556 .cxx.o:
557 @am__fastdepCXX_TRUE@   depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
558 @am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
559 @am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
560 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
561 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
562 @am__fastdepCXX_FALSE@  $(CXXCOMPILE) -c -o $@ $<
563
564 .cxx.obj:
565 @am__fastdepCXX_TRUE@   depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
566 @am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
567 @am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
568 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
569 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
570 @am__fastdepCXX_FALSE@  $(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
571
572 .cxx.lo:
573 @am__fastdepCXX_TRUE@   depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
574 @am__fastdepCXX_TRUE@   $(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
575 @am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Plo
576 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
577 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
578 @am__fastdepCXX_FALSE@  $(LTCXXCOMPILE) -c -o $@ $<
579
580 test_pedantic_cxx-test-pedantic-compilation.o: test-pedantic-compilation.cxx
581 @am__fastdepCXX_TRUE@   $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_pedantic_cxx_CPPFLAGS) $(CPPFLAGS) $(test_pedantic_cxx_CXXFLAGS) $(CXXFLAGS) -MT test_pedantic_cxx-test-pedantic-compilation.o -MD -MP -MF $(DEPDIR)/test_pedantic_cxx-test-pedantic-compilation.Tpo -c -o test_pedantic_cxx-test-pedantic-compilation.o `test -f 'test-pedantic-compilation.cxx' || echo '$(srcdir)/'`test-pedantic-compilation.cxx
582 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/test_pedantic_cxx-test-pedantic-compilation.Tpo $(DEPDIR)/test_pedantic_cxx-test-pedantic-compilation.Po
583 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='test-pedantic-compilation.cxx' object='test_pedantic_cxx-test-pedantic-compilation.o' libtool=no @AMDEPBACKSLASH@
584 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
585 @am__fastdepCXX_FALSE@  $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_pedantic_cxx_CPPFLAGS) $(CPPFLAGS) $(test_pedantic_cxx_CXXFLAGS) $(CXXFLAGS) -c -o test_pedantic_cxx-test-pedantic-compilation.o `test -f 'test-pedantic-compilation.cxx' || echo '$(srcdir)/'`test-pedantic-compilation.cxx
586
587 test_pedantic_cxx-test-pedantic-compilation.obj: test-pedantic-compilation.cxx
588 @am__fastdepCXX_TRUE@   $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_pedantic_cxx_CPPFLAGS) $(CPPFLAGS) $(test_pedantic_cxx_CXXFLAGS) $(CXXFLAGS) -MT test_pedantic_cxx-test-pedantic-compilation.obj -MD -MP -MF $(DEPDIR)/test_pedantic_cxx-test-pedantic-compilation.Tpo -c -o test_pedantic_cxx-test-pedantic-compilation.obj `if test -f 'test-pedantic-compilation.cxx'; then $(CYGPATH_W) 'test-pedantic-compilation.cxx'; else $(CYGPATH_W) '$(srcdir)/test-pedantic-compilation.cxx'; fi`
589 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/test_pedantic_cxx-test-pedantic-compilation.Tpo $(DEPDIR)/test_pedantic_cxx-test-pedantic-compilation.Po
590 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='test-pedantic-compilation.cxx' object='test_pedantic_cxx-test-pedantic-compilation.obj' libtool=no @AMDEPBACKSLASH@
591 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
592 @am__fastdepCXX_FALSE@  $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_pedantic_cxx_CPPFLAGS) $(CPPFLAGS) $(test_pedantic_cxx_CXXFLAGS) $(CXXFLAGS) -c -o test_pedantic_cxx-test-pedantic-compilation.obj `if test -f 'test-pedantic-compilation.cxx'; then $(CYGPATH_W) 'test-pedantic-compilation.cxx'; else $(CYGPATH_W) '$(srcdir)/test-pedantic-compilation.cxx'; fi`
593
594 mostlyclean-libtool:
595         -rm -f *.lo
596
597 clean-libtool:
598         -rm -rf .libs _libs
599
600 # This directory's subdirectories are mostly independent; you can cd
601 # into them and run `make' without going through this Makefile.
602 # To change the values of `make' variables: instead of editing Makefiles,
603 # (1) if the variable is set in `config.status', edit `config.status'
604 #     (which will cause the Makefiles to be regenerated when you run `make');
605 # (2) otherwise, pass the desired values on the `make' command line.
606 $(RECURSIVE_TARGETS):
607         @fail= failcom='exit 1'; \
608         for f in x $$MAKEFLAGS; do \
609           case $$f in \
610             *=* | --[!k]*);; \
611             *k*) failcom='fail=yes';; \
612           esac; \
613         done; \
614         dot_seen=no; \
615         target=`echo $@ | sed s/-recursive//`; \
616         list='$(SUBDIRS)'; for subdir in $$list; do \
617           echo "Making $$target in $$subdir"; \
618           if test "$$subdir" = "."; then \
619             dot_seen=yes; \
620             local_target="$$target-am"; \
621           else \
622             local_target="$$target"; \
623           fi; \
624           ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
625           || eval $$failcom; \
626         done; \
627         if test "$$dot_seen" = "no"; then \
628           $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
629         fi; test -z "$$fail"
630
631 $(RECURSIVE_CLEAN_TARGETS):
632         @fail= failcom='exit 1'; \
633         for f in x $$MAKEFLAGS; do \
634           case $$f in \
635             *=* | --[!k]*);; \
636             *k*) failcom='fail=yes';; \
637           esac; \
638         done; \
639         dot_seen=no; \
640         case "$@" in \
641           distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
642           *) list='$(SUBDIRS)' ;; \
643         esac; \
644         rev=''; for subdir in $$list; do \
645           if test "$$subdir" = "."; then :; else \
646             rev="$$subdir $$rev"; \
647           fi; \
648         done; \
649         rev="$$rev ."; \
650         target=`echo $@ | sed s/-recursive//`; \
651         for subdir in $$rev; do \
652           echo "Making $$target in $$subdir"; \
653           if test "$$subdir" = "."; then \
654             local_target="$$target-am"; \
655           else \
656             local_target="$$target"; \
657           fi; \
658           ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
659           || eval $$failcom; \
660         done && test -z "$$fail"
661 tags-recursive:
662         list='$(SUBDIRS)'; for subdir in $$list; do \
663           test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
664         done
665 ctags-recursive:
666         list='$(SUBDIRS)'; for subdir in $$list; do \
667           test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
668         done
669
670 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
671         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
672         unique=`for i in $$list; do \
673             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
674           done | \
675           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
676               END { if (nonempty) { for (i in files) print i; }; }'`; \
677         mkid -fID $$unique
678 tags: TAGS
679
680 TAGS: tags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
681                 $(TAGS_FILES) $(LISP)
682         set x; \
683         here=`pwd`; \
684         if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
685           include_option=--etags-include; \
686           empty_fix=.; \
687         else \
688           include_option=--include; \
689           empty_fix=; \
690         fi; \
691         list='$(SUBDIRS)'; for subdir in $$list; do \
692           if test "$$subdir" = .; then :; else \
693             test ! -f $$subdir/TAGS || \
694               set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
695           fi; \
696         done; \
697         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
698         unique=`for i in $$list; do \
699             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
700           done | \
701           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
702               END { if (nonempty) { for (i in files) print i; }; }'`; \
703         shift; \
704         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
705           test -n "$$unique" || unique=$$empty_fix; \
706           if test $$# -gt 0; then \
707             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
708               "$$@" $$unique; \
709           else \
710             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
711               $$unique; \
712           fi; \
713         fi
714 ctags: CTAGS
715 CTAGS: ctags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
716                 $(TAGS_FILES) $(LISP)
717         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
718         unique=`for i in $$list; do \
719             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
720           done | \
721           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
722               END { if (nonempty) { for (i in files) print i; }; }'`; \
723         test -z "$(CTAGS_ARGS)$$unique" \
724           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
725              $$unique
726
727 GTAGS:
728         here=`$(am__cd) $(top_builddir) && pwd` \
729           && $(am__cd) $(top_srcdir) \
730           && gtags -i $(GTAGS_ARGS) "$$here"
731
732 distclean-tags:
733         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
734
735 check-TESTS: $(TESTS)
736         @failed=0; all=0; xfail=0; xpass=0; skip=0; \
737         srcdir=$(srcdir); export srcdir; \
738         list=' $(TESTS) '; \
739         $(am__tty_colors); \
740         if test -n "$$list"; then \
741           for tst in $$list; do \
742             if test -f ./$$tst; then dir=./; \
743             elif test -f $$tst; then dir=; \
744             else dir="$(srcdir)/"; fi; \
745             if $(TESTS_ENVIRONMENT) $${dir}$$tst; then \
746               all=`expr $$all + 1`; \
747               case " $(XFAIL_TESTS) " in \
748               *[\ \     ]$$tst[\ \      ]*) \
749                 xpass=`expr $$xpass + 1`; \
750                 failed=`expr $$failed + 1`; \
751                 col=$$red; res=XPASS; \
752               ;; \
753               *) \
754                 col=$$grn; res=PASS; \
755               ;; \
756               esac; \
757             elif test $$? -ne 77; then \
758               all=`expr $$all + 1`; \
759               case " $(XFAIL_TESTS) " in \
760               *[\ \     ]$$tst[\ \      ]*) \
761                 xfail=`expr $$xfail + 1`; \
762                 col=$$lgn; res=XFAIL; \
763               ;; \
764               *) \
765                 failed=`expr $$failed + 1`; \
766                 col=$$red; res=FAIL; \
767               ;; \
768               esac; \
769             else \
770               skip=`expr $$skip + 1`; \
771               col=$$blu; res=SKIP; \
772             fi; \
773             echo "$${col}$$res$${std}: $$tst"; \
774           done; \
775           if test "$$all" -eq 1; then \
776             tests="test"; \
777             All=""; \
778           else \
779             tests="tests"; \
780             All="All "; \
781           fi; \
782           if test "$$failed" -eq 0; then \
783             if test "$$xfail" -eq 0; then \
784               banner="$$All$$all $$tests passed"; \
785             else \
786               if test "$$xfail" -eq 1; then failures=failure; else failures=failures; fi; \
787               banner="$$All$$all $$tests behaved as expected ($$xfail expected $$failures)"; \
788             fi; \
789           else \
790             if test "$$xpass" -eq 0; then \
791               banner="$$failed of $$all $$tests failed"; \
792             else \
793               if test "$$xpass" -eq 1; then passes=pass; else passes=passes; fi; \
794               banner="$$failed of $$all $$tests did not behave as expected ($$xpass unexpected $$passes)"; \
795             fi; \
796           fi; \
797           dashes="$$banner"; \
798           skipped=""; \
799           if test "$$skip" -ne 0; then \
800             if test "$$skip" -eq 1; then \
801               skipped="($$skip test was not run)"; \
802             else \
803               skipped="($$skip tests were not run)"; \
804             fi; \
805             test `echo "$$skipped" | wc -c` -le `echo "$$banner" | wc -c` || \
806               dashes="$$skipped"; \
807           fi; \
808           report=""; \
809           if test "$$failed" -ne 0 && test -n "$(PACKAGE_BUGREPORT)"; then \
810             report="Please report to $(PACKAGE_BUGREPORT)"; \
811             test `echo "$$report" | wc -c` -le `echo "$$banner" | wc -c` || \
812               dashes="$$report"; \
813           fi; \
814           dashes=`echo "$$dashes" | sed s/./=/g`; \
815           if test "$$failed" -eq 0; then \
816             echo "$$grn$$dashes"; \
817           else \
818             echo "$$red$$dashes"; \
819           fi; \
820           echo "$$banner"; \
821           test -z "$$skipped" || echo "$$skipped"; \
822           test -z "$$report" || echo "$$report"; \
823           echo "$$dashes$$std"; \
824           test "$$failed" -eq 0; \
825         else :; fi
826
827 distdir: $(DISTFILES)
828         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
829         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
830         list='$(DISTFILES)'; \
831           dist_files=`for file in $$list; do echo $$file; done | \
832           sed -e "s|^$$srcdirstrip/||;t" \
833               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
834         case $$dist_files in \
835           */*) $(MKDIR_P) `echo "$$dist_files" | \
836                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
837                            sort -u` ;; \
838         esac; \
839         for file in $$dist_files; do \
840           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
841           if test -d $$d/$$file; then \
842             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
843             if test -d "$(distdir)/$$file"; then \
844               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
845             fi; \
846             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
847               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
848               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
849             fi; \
850             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
851           else \
852             test -f "$(distdir)/$$file" \
853             || cp -p $$d/$$file "$(distdir)/$$file" \
854             || exit 1; \
855           fi; \
856         done
857         @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
858           if test "$$subdir" = .; then :; else \
859             test -d "$(distdir)/$$subdir" \
860             || $(MKDIR_P) "$(distdir)/$$subdir" \
861             || exit 1; \
862           fi; \
863         done
864         @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
865           if test "$$subdir" = .; then :; else \
866             dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
867             $(am__relativize); \
868             new_distdir=$$reldir; \
869             dir1=$$subdir; dir2="$(top_distdir)"; \
870             $(am__relativize); \
871             new_top_distdir=$$reldir; \
872             echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
873             echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
874             ($(am__cd) $$subdir && \
875               $(MAKE) $(AM_MAKEFLAGS) \
876                 top_distdir="$$new_top_distdir" \
877                 distdir="$$new_distdir" \
878                 am__remove_distdir=: \
879                 am__skip_length_check=: \
880                 am__skip_mode_fix=: \
881                 distdir) \
882               || exit 1; \
883           fi; \
884         done
885 check-am: all-am
886         $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS) $(check_SCRIPTS)
887         $(MAKE) $(AM_MAKEFLAGS) check-TESTS
888 check: check-recursive
889 all-am: Makefile $(PROGRAMS)
890 installdirs: installdirs-recursive
891 installdirs-am:
892 install: install-recursive
893 install-exec: install-exec-recursive
894 install-data: install-data-recursive
895 uninstall: uninstall-recursive
896
897 install-am: all-am
898         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
899
900 installcheck: installcheck-recursive
901 install-strip:
902         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
903           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
904           `test -z '$(STRIP)' || \
905             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
906 mostlyclean-generic:
907
908 clean-generic:
909         -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
910
911 distclean-generic:
912         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
913         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
914
915 maintainer-clean-generic:
916         @echo "This command is intended for maintainers to use"
917         @echo "it deletes files that may require special tools to rebuild."
918 clean: clean-recursive
919
920 clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
921         clean-noinstPROGRAMS mostlyclean-am
922
923 distclean: distclean-recursive
924         -rm -rf ./$(DEPDIR)
925         -rm -f Makefile
926 distclean-am: clean-am distclean-compile distclean-generic \
927         distclean-tags
928
929 dvi: dvi-recursive
930
931 dvi-am:
932
933 html: html-recursive
934
935 html-am:
936
937 info: info-recursive
938
939 info-am:
940
941 install-data-am:
942
943 install-dvi: install-dvi-recursive
944
945 install-dvi-am:
946
947 install-exec-am:
948
949 install-html: install-html-recursive
950
951 install-html-am:
952
953 install-info: install-info-recursive
954
955 install-info-am:
956
957 install-man:
958
959 install-pdf: install-pdf-recursive
960
961 install-pdf-am:
962
963 install-ps: install-ps-recursive
964
965 install-ps-am:
966
967 installcheck-am: installcheck-local
968
969 maintainer-clean: maintainer-clean-recursive
970         -rm -rf ./$(DEPDIR)
971         -rm -f Makefile
972 maintainer-clean-am: distclean-am maintainer-clean-generic
973
974 mostlyclean: mostlyclean-recursive
975
976 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
977         mostlyclean-libtool
978
979 pdf: pdf-recursive
980
981 pdf-am:
982
983 ps: ps-recursive
984
985 ps-am:
986
987 uninstall-am:
988
989 .MAKE: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) check-am \
990         ctags-recursive install-am install-strip tags-recursive
991
992 .PHONY: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) CTAGS GTAGS \
993         all all-am check check-TESTS check-am clean \
994         clean-checkPROGRAMS clean-generic clean-libtool \
995         clean-noinstPROGRAMS ctags ctags-recursive distclean \
996         distclean-compile distclean-generic distclean-libtool \
997         distclean-tags distdir dvi dvi-am html html-am info info-am \
998         install install-am install-data install-data-am install-dvi \
999         install-dvi-am install-exec install-exec-am install-html \
1000         install-html-am install-info install-info-am install-man \
1001         install-pdf install-pdf-am install-ps install-ps-am \
1002         install-strip installcheck installcheck-am installcheck-local \
1003         installdirs installdirs-am maintainer-clean \
1004         maintainer-clean-generic mostlyclean mostlyclean-compile \
1005         mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1006         tags tags-recursive uninstall uninstall-am
1007
1008
1009 # FIXME: Only run this if not cross-compiling
1010 installcheck-local: $(INSTALL_TESTS) $(INSTALLCHECK_DEPS)
1011         @total=0; failed=0; success=0; ignored=0; \
1012         echo "Running \"installcheck\" test cases..."; \
1013         for script in $(INSTALL_TESTS); do \
1014                 echo "Test case: $$script"; \
1015                 total="$$(expr $$total + 1)"; \
1016                 if test -f "./$$script"; then dir="./"; \
1017                 elif test -f "$$script"; then dir=""; \
1018                 else dir="$(srcdir)/"; fi; \
1019                 if $(INSTALL_TESTS_ENVIRONMENT) "$$dir/$$script"; then \
1020                         echo "SUCCEEDED: $$script"; \
1021                         success="$$(expr $$success + 1)"; \
1022                 else \
1023                         s="$$?"; \
1024                         if test "$$s" = "77"; then \
1025                                 echo "FAILURE IGNORED (return code $$s): $$script"; \
1026                                 ignored="$$(expr $$ignored + 1)"; \
1027                         else \
1028                                 echo "FAILED (return code $$s): $$script"; \
1029                                 failed="$$(expr $$failed + 1)"; \
1030                         fi; \
1031                 fi; \
1032         done; \
1033         echo "Test summary: $$success succeeded, $$failed failed, $$ignored failures ignored, $$total tests in total."; \
1034         if test "$$failed" -gt 0; then \
1035                 echo "Error: One or more \"installcheck\" testcases have failed."; \
1036                 exit 1; \
1037         fi
1038
1039 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1040 # Otherwise a system limit (for SysV at least) may be exceeded.
1041 .NOEXPORT: